: Class MessageInputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dog.mail.util
Class MessageInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--dog.mail.util.MessageInputStream

public class MessageInputStream
extends java.io.FilterInputStream

A utility class for feeding message contents to messages.

Field Summary
`static int` | `END` The stream termination octet.
`static int` | `LF` The line termination octet.

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`MessageInputStream(java.io.PushbackInputStream in)` Constructs a message input stream connected to the specified pushback input stream.

Method Summary
`int` | `read()` Reads the next byte of data from this message input stream.
`int` | `read(byte[] b)` Reads up to b.length bytes of data from this input stream into an array of bytes.
`int` | `read(byte[] b, int off, int len)` Reads up to len bytes of data from this input stream into an array of bytes, starting at the specified offset.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### END

    public static final int END

  The stream termination octet.

### LF

    public static final int LF

  The line termination octet.

Constructor Detail

### MessageInputStream

    public MessageInputStream(java.io.PushbackInputStream in)

  Constructs a message input stream connected to the specified pushback input stream.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Reads the next byte of data from this message input stream. Returns -1 if the end of the message stream has been reached.
  Throws:
    java.io.IOException - if an I/O error occurs
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b)
             throws java.io.IOException

  Reads up to b.length bytes of data from this input stream into an array of bytes. Returns -1 if the end of the stream has been reached.
  Throws:
    java.io.IOException - if an I/O error occurs
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Reads up to len bytes of data from this input stream into an array of bytes, starting at the specified offset. Returns -1 if the end of the stream has been reached.
  Throws:
    java.io.IOException - if an I/O error occurs
  Overrides:
    read in class java.io.FilterInputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD